/* M.DLL usage example */

/* Use Just to make sure everything fits on one screen */

'@MODE 80,43'

/* Add all available functions of "M" to REXX */

CALL RxFuncAdd 'MLoadFuncs','M','MLoadFuncs'
CALL MLoadFuncs

/* Same as '@CLS' or SysCls, and show the usage instructions */

CALL MCls
SAY
SAY
SAY '           ======================================================='
SAY '           Select a drive by selecting that line, or by typing the'
SAY '           the drive letter. Select "Exit" or press <ESC> to stop.'
SAY '           ======================================================='
SAY
SAY

/* Enable keyboard support */

CALL MKeyboard 'ON'

/* Cursor is visible due to the enabled keyboard support. Hide it: */ 

CALL MCurHide 3

/* Assign HotSpot (=return) value of 27 to the <ESC> key (27 too) */

CALL MHotKey 27,27

/* Assign HotSpot value of 27 to the whole current line */

CALL MHotLine 27

drive.27='none'.
SAY '                     Exit'
SAY

DO i=1 TO 26
   drive.i=D2C(i+64)||':'
   
   /* Assign a HotSpot value of 1-26 to each drive/line used here */
   CALL MHotLine i
   
   /* Assign a HotSpot value of 1-26 to drive/key "A-Z" */
   CALL MHotkey i+64,i
   
   /* Assign a HotSpot value of 1-26 to drive/key "a-z" */ 
   CALL MHotKey i+96,i
   
   SAY '                     Drive' drive.i
END i

SAY
SAY

/* Mouse() applies all of the above settings */ 

selected=Mouse()

SAY 'Selected drive is' drive.selected

EXIT
